package
{
	import com.ytti.mesh.core.WireMesh;
	
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.geom.Point;
	
	[SWF(width = "640", height = "480", frameRate = "30", backgroundColor = "0xFFFFFF")]
	public class TestMesh extends Sprite
	{
		private var _segmentW:Number = 4;
		private var _segmentH:Number = 4;
		private var _wireWidth:Number = 200;
		private var _wireHeight:Number = 200;
		private var _mesh:WireMesh;
		
		public function TestMesh()
		{
			_mesh = new WireMesh(_segmentW,_segmentH , 0x00FF00);
			this.addEventListener(Event.ENTER_FRAME , _loop );
		}
		
		private function _loop(e:Event):void {
			var editPoints:Array = _getPoint(true);
			_mesh.render(this, editPoints);
		}
		
		private function _getPoint($ramdom:Boolean):Array {
			var pts:Array = [];
			var intervalW:Number = _wireWidth / _segmentW;
			var intervalH:Number = _wireHeight / _segmentH;
			
			for(var iy:Number = 0;iy <= _segmentH;iy++ ){
				for(var ix:Number = 0;ix <= _segmentW;ix++ ){
					var px:Number;
					var py:Number;
					if($ramdom){
						px = ix * intervalW + Math.random()*4-2;
						py = iy * intervalH + Math.random()*4-2;
					} else {
						px = ix * intervalW;
						py = iy * intervalH;
					}
					var pt:Point = new Point(px, py);
					pts.push(pt);
				}
			}
			
			return pts;
		}

	}
}